OpenJPEG 2.3.0

Data Fields
codestream_param Struct Reference

codestream parameters More...

`#include <codestream_manager.h>`

## Data Fields
int | fd
| file descriptor More...
OPJ_OFF_T | offset
| byte position of DBox (Box Contents) in the file More...
Byte8_t | length
| content length More...

## Detailed Description

codestream parameters

## Field Documentation

## ◆ fd

int codestream_param::fd

file descriptor

Referenced by fetch_codestream1byte(), fetch_codestream2bytebigendian(), fetch_codestream4bytebigendian(), fetch_codestreambytes(), print_codestream(), and set_codestream().

## ◆ length

Byte8_t codestream_param::length

content length

Referenced by print_codestream(), and set_codestream().

## ◆ offset

OPJ_OFF_T codestream_param::offset

byte position of DBox (Box Contents) in the file

Referenced by fetch_codestream1byte(), fetch_codestream2bytebigendian(), fetch_codestream4bytebigendian(), fetch_codestreambytes(), print_codestream(), and set_codestream().

The documentation for this struct was generated from the following file:

- codestream_manager.h